<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:11 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>PmdPlugin (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="PmdPlugin (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/gradle/api/plugins/quality/PmdExtension.html" title="class in org.gradle.api.plugins.quality"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../org/gradle/api/plugins/quality/PmdReports.html" title="interface in org.gradle.api.plugins.quality"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/gradle/api/plugins/quality/PmdPlugin.html" target="_top">Frames</a></li>
<li><a href="PmdPlugin.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field_summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field_detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.api.plugins.quality</div>
<h2 title="Class PmdPlugin" class="title">Class PmdPlugin</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin&lt;<a href="../../../../../org/gradle/api/plugins/quality/Pmd.html" title="class in org.gradle.api.plugins.quality">Pmd</a>&gt;</li>
<li>
<ul class="inheritance">
<li>org.gradle.api.plugins.quality.PmdPlugin</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="../../../../../org/gradle/api/Plugin.html" title="interface in org.gradle.api">Plugin</a>&lt;org.gradle.api.internal.project.ProjectInternal&gt;</dd>
</dl>
<hr>
<br>
<pre>public class <span class="strong">PmdPlugin</span>
extends org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin&lt;<a href="../../../../../org/gradle/api/plugins/quality/Pmd.html" title="class in org.gradle.api.plugins.quality">Pmd</a>&gt;</pre>
<div class="block">A plugin for the <a href="http://pmd.sourceforge.net/">PMD</a> source code analyzer.
 <p>
 Declares a <tt>pmd</tt> configuration which needs to be configured with the PMD library to be used.
 <p>
 For each source set that is to be analyzed, a <a href="../../../../../org/gradle/api/plugins/quality/Pmd.html" title="class in org.gradle.api.plugins.quality"><code>Pmd</code></a> task is created and configured to analyze all Java code.
 <p>
 All PMD tasks (including user-defined ones) are added to the <tt>check</tt> lifecycle task.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../../org/gradle/api/plugins/quality/PmdExtension.html" title="class in org.gradle.api.plugins.quality"><code>PmdExtension</code></a>, 
<a href="../../../../../org/gradle/api/plugins/quality/Pmd.html" title="class in org.gradle.api.plugins.quality"><code>Pmd</code></a></dd></dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/plugins/quality/PmdPlugin.html#DEFAULT_PMD_VERSION">DEFAULT_PMD_VERSION</a></strong></code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="fields_inherited_from_class_org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin</h3>
<code>project</code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../../../../../org/gradle/api/plugins/quality/PmdPlugin.html#PmdPlugin()">PmdPlugin</a></strong>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/plugins/quality/PmdPlugin.html#configureForSourceSet(org.gradle.api.tasks.SourceSet,%20org.gradle.api.plugins.quality.Pmd)">configureForSourceSet</a></strong>(<a href="../../../../../org/gradle/api/tasks/SourceSet.html" title="interface in org.gradle.api.tasks">SourceSet</a>&nbsp;sourceSet,
                     <a href="../../../../../org/gradle/api/plugins/quality/Pmd.html" title="class in org.gradle.api.plugins.quality">Pmd</a>&nbsp;task)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/plugins/quality/PmdPlugin.html#configureTaskDefaults(org.gradle.api.plugins.quality.Pmd,%20java.lang.String)">configureTaskDefaults</a></strong>(<a href="../../../../../org/gradle/api/plugins/quality/Pmd.html" title="class in org.gradle.api.plugins.quality">Pmd</a>&nbsp;task,
                     <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;baseName)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="../../../../../org/gradle/api/plugins/quality/CodeQualityExtension.html" title="class in org.gradle.api.plugins.quality">CodeQualityExtension</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/plugins/quality/PmdPlugin.html#createExtension()">createExtension</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/api/plugins/quality/TargetJdk.html" title="enum in org.gradle.api.plugins.quality">TargetJdk</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/plugins/quality/PmdPlugin.html#getDefaultTargetJdk(org.gradle.api.JavaVersion)">getDefaultTargetJdk</a></strong>(<a href="../../../../../org/gradle/api/JavaVersion.html" title="enum in org.gradle.api">JavaVersion</a>&nbsp;javaVersion)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Class.html?is-external=true" title="class or interface in java.lang">Class</a>&lt;<a href="../../../../../org/gradle/api/plugins/quality/Pmd.html" title="class in org.gradle.api.plugins.quality">Pmd</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/plugins/quality/PmdPlugin.html#getTaskType()">getTaskType</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/plugins/quality/PmdPlugin.html#getToolName()">getToolName</a></strong>()</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin</h3>
<code>apply, beforeApply, conventionMappingOf, createConfigurations, getBasePlugin, getConfigurationName, getJavaPluginConvention, getReportName, getTaskBaseName, withBasePlugin</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#clone()" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#equals(java.lang.Object)" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#finalize()" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#getClass()" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#hashCode()" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notify()" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notifyAll()" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#toString()" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait()" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait(long)" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait(long,%20int)" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="DEFAULT_PMD_VERSION">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>DEFAULT_PMD_VERSION</h4>
<pre>public static final&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> DEFAULT_PMD_VERSION</pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../../constant-values.html#org.gradle.api.plugins.quality.PmdPlugin.DEFAULT_PMD_VERSION">Constant Field Values</a></dd></dl>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="PmdPlugin()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>PmdPlugin</h4>
<pre>public&nbsp;PmdPlugin()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getToolName()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getToolName</h4>
<pre>protected&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getToolName()</pre>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code>getToolName</code>&nbsp;in class&nbsp;<code>org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin&lt;<a href="../../../../../org/gradle/api/plugins/quality/Pmd.html" title="class in org.gradle.api.plugins.quality">Pmd</a>&gt;</code></dd>
</dl>
</li>
</ul>
<a name="getTaskType()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTaskType</h4>
<pre>protected&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Class.html?is-external=true" title="class or interface in java.lang">Class</a>&lt;<a href="../../../../../org/gradle/api/plugins/quality/Pmd.html" title="class in org.gradle.api.plugins.quality">Pmd</a>&gt;&nbsp;getTaskType()</pre>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code>getTaskType</code>&nbsp;in class&nbsp;<code>org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin&lt;<a href="../../../../../org/gradle/api/plugins/quality/Pmd.html" title="class in org.gradle.api.plugins.quality">Pmd</a>&gt;</code></dd>
</dl>
</li>
</ul>
<a name="createExtension()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createExtension</h4>
<pre>protected&nbsp;<a href="../../../../../org/gradle/api/plugins/quality/CodeQualityExtension.html" title="class in org.gradle.api.plugins.quality">CodeQualityExtension</a>&nbsp;createExtension()</pre>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code>createExtension</code>&nbsp;in class&nbsp;<code>org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin&lt;<a href="../../../../../org/gradle/api/plugins/quality/Pmd.html" title="class in org.gradle.api.plugins.quality">Pmd</a>&gt;</code></dd>
</dl>
</li>
</ul>
<a name="getDefaultTargetJdk(org.gradle.api.JavaVersion)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDefaultTargetJdk</h4>
<pre>public&nbsp;<a href="../../../../../org/gradle/api/plugins/quality/TargetJdk.html" title="enum in org.gradle.api.plugins.quality">TargetJdk</a>&nbsp;getDefaultTargetJdk(<a href="../../../../../org/gradle/api/JavaVersion.html" title="enum in org.gradle.api">JavaVersion</a>&nbsp;javaVersion)</pre>
</li>
</ul>
<a name="configureTaskDefaults(org.gradle.api.plugins.quality.Pmd, java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>configureTaskDefaults</h4>
<pre>protected&nbsp;void&nbsp;configureTaskDefaults(<a href="../../../../../org/gradle/api/plugins/quality/Pmd.html" title="class in org.gradle.api.plugins.quality">Pmd</a>&nbsp;task,
                         <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;baseName)</pre>
<dl>
<dt><strong>Overrides:</strong></dt>
<dd><code>configureTaskDefaults</code>&nbsp;in class&nbsp;<code>org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin&lt;<a href="../../../../../org/gradle/api/plugins/quality/Pmd.html" title="class in org.gradle.api.plugins.quality">Pmd</a>&gt;</code></dd>
</dl>
</li>
</ul>
<a name="configureForSourceSet(org.gradle.api.tasks.SourceSet, org.gradle.api.plugins.quality.Pmd)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>configureForSourceSet</h4>
<pre>protected&nbsp;void&nbsp;configureForSourceSet(<a href="../../../../../org/gradle/api/tasks/SourceSet.html" title="interface in org.gradle.api.tasks">SourceSet</a>&nbsp;sourceSet,
                         <a href="../../../../../org/gradle/api/plugins/quality/Pmd.html" title="class in org.gradle.api.plugins.quality">Pmd</a>&nbsp;task)</pre>
<dl>
<dt><strong>Overrides:</strong></dt>
<dd><code>configureForSourceSet</code>&nbsp;in class&nbsp;<code>org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin&lt;<a href="../../../../../org/gradle/api/plugins/quality/Pmd.html" title="class in org.gradle.api.plugins.quality">Pmd</a>&gt;</code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/gradle/api/plugins/quality/PmdExtension.html" title="class in org.gradle.api.plugins.quality"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../org/gradle/api/plugins/quality/PmdReports.html" title="interface in org.gradle.api.plugins.quality"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/gradle/api/plugins/quality/PmdPlugin.html" target="_top">Frames</a></li>
<li><a href="PmdPlugin.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field_summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field_detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
